Bug 1469470 - Company Specific Messages table on the login page should gracefully handle large amounts of text.
Company Specific Messages table on the login page should gracefully handle la...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Settings (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Beta
: --
Assigned To: Tomas Strachota
Nikhil Kathole
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 06:32 EDT by Nikhil Kathole
Modified: 2017-10-30 06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of UI (499.40 KB, image/png)
2017-07-11 06:32 EDT, Nikhil Kathole
no flags Details
Screenshot of login page (301.91 KB, image/png)
2017-10-30 06:54 EDT, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21200 None None None 2017-10-04 17:00 EDT

  None (edit)
Description Nikhil Kathole 2017-07-11 06:32:02 EDT
Created attachment 1296175 [details]
screenshot of UI

Description of problem: The Company Specific Messages on the login page can cover all login page and the user interface under settings-> general tab breaks.Thus, there should be character limit.


Version-Release number of selected component (if applicable): sat 6.3 snap 6.0


How reproducible: always


Steps to Reproduce:
1. Navigate to Administer -> settings
2. Click on general tab 
3. Enter large Login page footer message

Actual results:
Login page and UI under settings-> general breaks.

Expected results:
There should be constraint to character limit so that login page UI and  settings-> general tab page should not break.

Additional info:
Comment 3 Daniel Lobato Garcia 2017-08-09 05:55:07 EDT
I don't think there should be a limit. Instead, the settings should be able to resize the table accordingly to the content. In fact some of the requesters of the RFE https://bugzilla.redhat.com/show_bug.cgi?id=726570 ask for pretty large texts to be included.
Comment 4 Corey Welton 2017-08-11 14:32:37 EDT
Agree, to some degree, with comment #3.  The proper way would be to assure table can gracefully handle a bunch of text.

There probably should be some sort of validation, however, that someone can't DDoS or otherwise make a login screen unusable due to malicious (or inadvertent) inclusion of excessive content.
Comment 5 Walden Raines 2017-10-04 16:36:49 EDT
Created redmine issue http://projects.theforeman.org/issues/21200 from this bug
Comment 6 pm-sat@redhat.com 2017-10-10 11:12:46 EDT
Upstream bug assigned to tstrachota@redhat.com
Comment 7 Walden Raines 2017-10-17 10:17:47 EDT
PR:  https://github.com/theforeman/foreman/pull/4915
Comment 8 pm-sat@redhat.com 2017-10-23 10:13:33 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21200 has been resolved.
Comment 9 Nikhil Kathole 2017-10-30 06:52:27 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 22

steps:

1. Inserted large text in Login page footer message parameter under settings

Login page handled the larger data.
Comment 10 Nikhil Kathole 2017-10-30 06:54 EDT
Created attachment 1345372 [details]
Screenshot of login page

Note You need to log in before you can comment on or make changes to this bug.